Bug 283981 - Information to add the Brother MFC-240C
Information to add the Brother MFC-240C
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: sane-backends (Show other bugs)
6
All Linux
medium Severity low
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-09 09:18 EDT by Mikkel L. Ellertson
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-11 04:50:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikkel L. Ellertson 2007-09-09 09:18:55 EDT
We need to add a rule for the Brother MFC-240C. The dVendor is 04f9 and
idProduct is 01ab.

# Brother MFC-240C
SYSFS{idVendor}=="04f9", SYSFS{idProduct}=="01ab", SYMLINK+="scanner-%k"
Comment 1 Nils Philippsen 2007-09-10 03:00:31 EDT
Does upstream (http://www.sane-project.org) know about this already? I'm fine
with adding such a patch for the current version, but like to have this
supported for future versions by upstream, to avoid patch creep.

I assume that with the lines added, the scanner works flawlessly, correct?
Comment 2 Mikkel L. Ellertson 2007-09-10 09:14:16 EDT
I was not sure if 60-libsane.rules came from upstream or was generated by
Fedora. It has now been reported to upstream as well. The information on this
came as part of helping the owner get this working. He reports that it is
working now. The problem he was having was no symlink, and bad permissions.

I figured it was better that I report it, and get it included, then to just do a
local fix. I pulled the idVendor and idProduct from his posted lsusb output, and
generated the rules for him.
Comment 3 Nils Philippsen 2007-09-10 11:55:52 EDT
Hmm, I don't find any supported Brother machines yet. Which SANE backend do you use?
Comment 4 Mikkel L. Ellertson 2007-09-10 12:26:09 EDT
You have to get the drivers from
http://solutions.brother.com/linux/sol/printer/linux/sane_drivers.html

They are not included in the sane-backends package. But there are many Brother
scanner/multi-function devices listed in 60-libsane.rules.
Comment 5 Nils Philippsen 2007-09-11 04:50:13 EDT
In that case, this isn't a bug ;-). I guess if the other models are listed in
the shipped udev rules, they're supported by a shipped SANE driver as well. You
should put the rules you need into a separate rules file; just copy
60-libsane.rules to e.g. 70-brother.rules, throw out the existing scanner rules
and add the rules above.

I've looked at the brother drivers, but they don't seem to be completely open
source (the source packages ship with pre-built libraries) otherwise a volunteer
could package them up for Fedora.
Comment 6 Mikkel L. Ellertson 2007-09-11 10:53:27 EDT
This is true. But udev should still create the scanner-<something> symlink for
it. There are rules for other Brother multi-function machines that do not have
SANE drivers yet. So to be consistant, this rule should be added, or all rules
for Brother MFCs that do not have a SANE driver should be removed.

We did create a rules file just for the MFC-240C, but hopefully upstearm will
add it to the libsane udev rules.

As far as packaging them goes, Brother has RPMs that work with Fedora. There
package for handling pressing the scan key on a network printer is interesting.
Comment 7 Nils Philippsen 2007-09-17 09:14:59 EDT
Udev can create the necessary links, but the rules files belong to the driver.
If upstream ships rules without a matching driver, I won't patch it out, but I
also won't patch in rules for which no driver exists.

Note You need to log in before you can comment on or make changes to this bug.